#ifndef ELDBUS_EMPD_EMPC_H
#define ELDBUS_EMPD_EMPC_H

#include <Eina.h>
#include <Ecore.h>
#include <Eldbus.h>
#include "eldbus_utils.h"

Eldbus_Proxy *empd_empc_proxy_get(Eldbus_Connection *conn, const char *bus, const char *path);
void empd_empc_proxy_unref(Eldbus_Proxy *proxy);
void empd_empc_log_domain_set(int id);
void empd_empc_set_background_file_call(Eldbus_Proxy *proxy, const char *artist, const char *album, const char *file, const char *key);
void empd_empc_set_background_data_call(Eldbus_Proxy *proxy, Eina_Value *args);
typedef void (*Empd_Empc_Get_Background_Cb)(Eldbus_Proxy *proxy, void *data, Eldbus_Pending *pending, Eldbus_Error_Info *error, const char *file, const char *key);
Eldbus_Pending *empd_empc_get_background_call(Eldbus_Proxy *proxy, Empd_Empc_Get_Background_Cb cb, const void *data);
extern int EMPD_EMPC_BACKGROUND_CHANGED_EVENT;
typedef struct _Empd_Empc_BackgroundChanged_Data
{
   Eldbus_Proxy *proxy;
   char *file;
   char *key;
} Empd_Empc_BackgroundChanged_Data;

#endif