#ifndef Lyricwiki_Common_H
#define Lyricwiki_Common_H

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#include <Eina.h>

Eina_Bool azy_str_to_bool_(const char *d, Eina_Bool *ret);
Eina_Bool azy_str_to_str_(const char *d, const char **ret);
Eina_Bool azy_str_to_int_(const char *d, int *ret);
Eina_Bool azy_str_to_double_(const char *d, double *ret);
typedef struct Lyricwiki_Lyric Lyricwiki_Lyric;

struct Lyricwiki_Lyric
{
  Eina_Stringshare * artist; /*  */
  Eina_Stringshare * song; /*  */
  Eina_Stringshare * lyrics; /*  */
  Eina_Stringshare * url; /*  */
};

static inline Lyricwiki_Lyric *Lyricwiki_Lyric_new(void)
{
  return calloc(1, sizeof(Lyricwiki_Lyric));
}

/** @brief Free a #Lyricwiki_Lyric * */
void Lyricwiki_Lyric_free(Lyricwiki_Lyric * val);
/** @brief Copy a #Lyricwiki_Lyric * */
Lyricwiki_Lyric *Lyricwiki_Lyric_copy(Lyricwiki_Lyric *orig);
/** @brief Check whether all the values of @p a are equal to @p b */
Eina_Bool Lyricwiki_Lyric_eq(Lyricwiki_Lyric * a, Lyricwiki_Lyric * b);
/** @brief Print, indenting @p indent times @p pre, a Lyricwiki_Lyric */
void Lyricwiki_Lyric_print(const char *pre, int indent, const Lyricwiki_Lyric *a);
/** @brief Check whether all the values of @p a are NULL */
Eina_Bool Lyricwiki_Lyric_isnull(Lyricwiki_Lyric * a);
#endif
