#include "Lyricwiki_Common_Azy.h"

Eina_Value *Lyricwiki_Lyric_to_azy_value(const Lyricwiki_Lyric * azy_user_type)
{
  Eina_Value *value_struct = NULL;
  size_t offset = 0;
  Eina_Value_Struct_Member *members = NULL;
  Eina_Value *val = NULL;
  Eina_Value_Struct_Desc *st_desc;

  if (!azy_user_type) return NULL;

  st_desc = eina_value_util_struct_desc_new();
  members = malloc(4 * sizeof(Eina_Value_Struct_Member));
  st_desc->members = members;
  st_desc->member_count = 4;
  members[0].name = eina_stringshare_add("artist");
  offset = eina_value_util_type_offset(EINA_VALUE_TYPE_STRINGSHARE, offset);
  members[0].offset = offset;
  offset += eina_value_util_type_size(EINA_VALUE_TYPE_STRINGSHARE);
  members[0].type = EINA_VALUE_TYPE_STRINGSHARE;
  members[1].name = eina_stringshare_add("song");
  offset = eina_value_util_type_offset(EINA_VALUE_TYPE_STRINGSHARE, offset);
  members[1].offset = offset;
  offset += eina_value_util_type_size(EINA_VALUE_TYPE_STRINGSHARE);
  members[1].type = EINA_VALUE_TYPE_STRINGSHARE;
  members[2].name = eina_stringshare_add("lyrics");
  offset = eina_value_util_type_offset(EINA_VALUE_TYPE_STRINGSHARE, offset);
  members[2].offset = offset;
  offset += eina_value_util_type_size(EINA_VALUE_TYPE_STRINGSHARE);
  members[2].type = EINA_VALUE_TYPE_STRINGSHARE;
  members[3].name = eina_stringshare_add("url");
  offset = eina_value_util_type_offset(EINA_VALUE_TYPE_STRINGSHARE, offset);
  members[3].offset = offset;
  offset += eina_value_util_type_size(EINA_VALUE_TYPE_STRINGSHARE);
  members[3].type = EINA_VALUE_TYPE_STRINGSHARE;
  st_desc->size = offset;
  value_struct = eina_value_struct_new(st_desc);

  val = eina_value_util_stringshare_new(azy_user_type->artist);
  eina_value_struct_value_set(value_struct, "artist", val);
  eina_value_free(val);
  val = eina_value_util_stringshare_new(azy_user_type->song);
  eina_value_struct_value_set(value_struct, "song", val);
  eina_value_free(val);
  val = eina_value_util_stringshare_new(azy_user_type->lyrics);
  eina_value_struct_value_set(value_struct, "lyrics", val);
  eina_value_free(val);
  val = eina_value_util_stringshare_new(azy_user_type->url);
  eina_value_struct_value_set(value_struct, "url", val);
  eina_value_free(val);
  return value_struct;
}

Eina_Bool azy_value_to_Lyricwiki_Lyric(const Eina_Value *value_struct, Lyricwiki_Lyric * *azy_user_type)
{
  Lyricwiki_Lyric * azy_user_type_tmp = NULL;
  Eina_Value val;
  unsigned int arg = 0;
  Eina_Bool found = EINA_FALSE;

  EINA_SAFETY_ON_NULL_RETURN_VAL(azy_user_type, EINA_FALSE);
  EINA_SAFETY_ON_NULL_RETURN_VAL(value_struct, EINA_FALSE);

  EINA_SAFETY_ON_TRUE_RETURN_VAL(eina_value_type_get(value_struct) != EINA_VALUE_TYPE_STRUCT, EINA_FALSE);

  azy_user_type_tmp = Lyricwiki_Lyric_new();
  if ((!arg) && eina_value_struct_value_get(value_struct, "artist", &val))
    found = EINA_TRUE;
  else
  {
    char buf[128];
    snprintf(buf, sizeof(buf), "arg%d", arg++);
    if (eina_value_struct_value_get(value_struct, buf, &val))
      found = EINA_TRUE;
  }
  if (found)
  {
    if (arg)
      {
        char *str = NULL;

        if (eina_value_get(&val, &str))
          azy_user_type_tmp->artist = eina_stringshare_add(str);
      }
    else
      eina_value_util_stringshare_copy(&val, &azy_user_type_tmp->artist);
    eina_value_flush(&val);
  }
  found = EINA_FALSE;
  if ((!arg) && eina_value_struct_value_get(value_struct, "song", &val))
    found = EINA_TRUE;
  else
  {
    char buf[128];
    snprintf(buf, sizeof(buf), "arg%d", arg++);
    if (eina_value_struct_value_get(value_struct, buf, &val))
      found = EINA_TRUE;
  }
  if (found)
  {
    if (arg)
      {
        char *str = NULL;

        if (eina_value_get(&val, &str))
          azy_user_type_tmp->song = eina_stringshare_add(str);
      }
    else
      eina_value_util_stringshare_copy(&val, &azy_user_type_tmp->song);
    eina_value_flush(&val);
  }
  found = EINA_FALSE;
  if ((!arg) && eina_value_struct_value_get(value_struct, "lyrics", &val))
    found = EINA_TRUE;
  else
  {
    char buf[128];
    snprintf(buf, sizeof(buf), "arg%d", arg++);
    if (eina_value_struct_value_get(value_struct, buf, &val))
      found = EINA_TRUE;
  }
  if (found)
  {
    if (arg)
      {
        char *str = NULL;

        if (eina_value_get(&val, &str))
          azy_user_type_tmp->lyrics = eina_stringshare_add(str);
      }
    else
      eina_value_util_stringshare_copy(&val, &azy_user_type_tmp->lyrics);
    eina_value_flush(&val);
  }
  found = EINA_FALSE;
  if ((!arg) && eina_value_struct_value_get(value_struct, "url", &val))
    found = EINA_TRUE;
  else
  {
    char buf[128];
    snprintf(buf, sizeof(buf), "arg%d", arg++);
    if (eina_value_struct_value_get(value_struct, buf, &val))
      found = EINA_TRUE;
  }
  if (found)
  {
    if (arg)
      {
        char *str = NULL;

        if (eina_value_get(&val, &str))
          azy_user_type_tmp->url = eina_stringshare_add(str);
      }
    else
      eina_value_util_stringshare_copy(&val, &azy_user_type_tmp->url);
    eina_value_flush(&val);
  }
  found = EINA_FALSE;

  *azy_user_type = azy_user_type_tmp;
  return EINA_TRUE;
}

